.page-footer {
  display: flex;
  align-items: center;
}

/* 左侧：Incident History 靠左 */
.page-footer .history-footer-link {
  flex: 1;
  text-align: left;
}

/* 中间：隐私政策链接居中 */
.page-footer .privacy-policy-link {
  flex: 1;
  text-align: center;
}

/* 右侧：Powered by 靠右 */
.page-footer .powered-by {
  flex: 1;
  text-align: right;
}